Loading...
Searching...
No Matches
CglMixIntRoundVUB Class Reference

`#include <CglMixedIntegerRounding.hpp>`

## Public Member Functions

| CglMixIntRoundVUB ()
| CglMixIntRoundVUB (const CglMixIntRoundVUB &source)
CglMixIntRoundVUB & | operator= (const CglMixIntRoundVUB &rhs)
| ~CglMixIntRoundVUB ()
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)

## Protected Attributes

int | var_
double | val_

## Detailed Description

Definition at line 32 of file CglMixedIntegerRounding.hpp.

## Constructor & Destructor Documentation

## CglMixIntRoundVUB() [1/2]

CglMixIntRoundVUB::CglMixIntRoundVUB | ( |  | ) |

inline

Definition at line 43 of file CglMixedIntegerRounding.hpp.

## CglMixIntRoundVUB() [2/2]

CglMixIntRoundVUB::CglMixIntRoundVUB | ( | const CglMixIntRoundVUB & | source | ) |

inline

Definition at line 46 of file CglMixedIntegerRounding.hpp.

## ~CglMixIntRoundVUB()

CglMixIntRoundVUB::~CglMixIntRoundVUB | ( |  | ) |

inline

Definition at line 61 of file CglMixedIntegerRounding.hpp.

## Member Function Documentation

## operator=()

CglMixIntRoundVUB & CglMixIntRoundVUB::operator= | ( | const CglMixIntRoundVUB & | rhs | ) |

inline

Definition at line 52 of file CglMixedIntegerRounding.hpp.

## getVar()

int CglMixIntRoundVUB::getVar | ( |  | ) | const

inline

Definition at line 64 of file CglMixedIntegerRounding.hpp.

## getVal()

double CglMixIntRoundVUB::getVal | ( |  | ) | const

inline

Definition at line 65 of file CglMixedIntegerRounding.hpp.

## setVar()

void CglMixIntRoundVUB::setVar | ( | const int | v | ) |

inline

Definition at line 66 of file CglMixedIntegerRounding.hpp.

## setVal()

void CglMixIntRoundVUB::setVal | ( | const double | v | ) |

inline

Definition at line 67 of file CglMixedIntegerRounding.hpp.

## Member Data Documentation

## var_

int CglMixIntRoundVUB::var_

protected

Definition at line 38 of file CglMixedIntegerRounding.hpp.

## val_

double CglMixIntRoundVUB::val_

protected

Definition at line 39 of file CglMixedIntegerRounding.hpp.

The documentation for this class was generated from the following file:

- Cgl/src/CglMixedIntegerRounding/CglMixedIntegerRounding.hpp